org.tmatesoft.svn.core.wc2.admin

## Class SvnRepositoryGetDiff

- java.lang.Object
- - org.tmatesoft.svn.core.wc2.SvnOperation<V>
  - - org.tmatesoft.svn.core.wc2.admin.SvnRepositoryOperation<java.lang.Long>
    - - org.tmatesoft.svn.core.wc2.admin.SvnRepositoryGetDiff

All Implemented Interfaces:
  ISvnOperationOptionsProvider

    public class SvnRepositoryGetDiff
    extends SvnRepositoryOperation<java.lang.Long>

### Constructor Summary

Constructors
Constructor and Description
`SvnRepositoryGetDiff(SvnOperationFactory factory)`

### Method Summary

Methods
`java.io.OutputStream` `getOutputStream()`
`java.lang.String` `getTransactionName()`
`boolean` `isDiffAdded()`
`boolean` `isDiffCopyFrom()`
`boolean` `isDiffDeleted()`
`void` `setDiffAdded(boolean diffAdded)`
`void` `setDiffCopyFrom(boolean diffCopyFrom)`
`void` `setDiffDeleted(boolean diffDeleted)`
`void` `setOutputStream(java.io.OutputStream outputStream)`
`void` `setTransactionName(java.lang.String transactionName)`

### Methods inherited from class org.tmatesoft.svn.core.wc2.admin.SvnRepositoryOperation

`getRepositoryRoot, isChangesWorkingCopy, setRepositoryRoot`

### Methods inherited from class org.tmatesoft.svn.core.wc2.SvnOperation

`addTarget, cancel, ensureArgumentsAreValid, ensureEnoughTargets, ensureHomohenousTargets, getApplicableChangelists, getAuthenticationManager, getCanceller, getDepth, getEventHandler, getFirstTarget, getMaximumTargetsCount, getMinimumTargetsCount, getOperationalWorkingCopy, getOperationFactory, getOptions, getRepositoryPool, getRevision, getTargets, hasFileTargets, hasLocalTargets, hasRemoteTargets, initDefaults, isCancelled, isSleepForTimestamp, isUseParentWcFormat, needsHomohenousTargets, run, setApplicalbeChangelists, setDepth, setRevision, setSingleTarget, setSleepForTimestamp`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SvnRepositoryGetDiff

    public SvnRepositoryGetDiff(SvnOperationFactory factory)

### Method Detail

#### getTransactionName

    public java.lang.String getTransactionName()

#### setTransactionName

    public void setTransactionName(java.lang.String transactionName)

#### isDiffDeleted

    public boolean isDiffDeleted()

#### setDiffDeleted

    public void setDiffDeleted(boolean diffDeleted)

#### isDiffAdded

    public boolean isDiffAdded()

#### setDiffAdded

    public void setDiffAdded(boolean diffAdded)

#### isDiffCopyFrom

    public boolean isDiffCopyFrom()

#### setDiffCopyFrom

    public void setDiffCopyFrom(boolean diffCopyFrom)

#### getOutputStream

    public java.io.OutputStream getOutputStream()

#### setOutputStream

    public void setOutputStream(java.io.OutputStream outputStream)